## zoneminder 1.36.33+dfsg1

=== scripts/CMakeLists.txt ===
# CMakeLists.txt for the ZoneMinder perl scripts.

# Process the perl modules subdirectory
add_subdirectory(ZoneMinder)

# Create files from the .in files
configure_file(zmaudit.pl.in "${CMAKE_CURRENT_BINARY_DIR}/zmaudit.pl" @ONLY)
configure_file(zmcontrol.pl.in "${CMAKE_CURRENT_BINARY_DIR}/zmcontrol.pl" @ONLY)
configure_file(zmdc.pl.in "${CMAKE_CURRENT_BINARY_DIR}/zmdc.pl" @ONLY)
configure_file(zmfilter.pl.in "${CMAKE_CURRENT_BINARY_DIR}/zmfilter.pl" @ONLY)
configure_file(zmonvif-probe.pl.in "${CMAKE_CURRENT_BINARY_DIR}/zmonvif-probe.pl" @ONLY)
configure_file(zmonvif-trigger.pl.in "${CMAKE_CURRENT_BINARY_DIR}/zmonvif-trigger.pl" @ONLY)
configure_file(zmpkg.pl.in "${CMAKE_CURRENT_BINARY_DIR}/zmpkg.pl" @ONLY)
configure_file(zmrecover.pl.in "${CMAKE_CURRENT_BINARY_DIR}/zmrecover.pl" @ONLY)
configure_file(zmtrack.pl.in "${CMAKE_CURRENT_BINARY_DIR}/zmtrack.pl" @ONLY)
configure_file(zmtrigger.pl.in "${CMAKE_CURRENT_BINARY_DIR}/zmtrigger.pl" @ONLY)
configure_file(zmupdate.pl.in "${CMAKE_CURRENT_BINARY_DIR}/zmupdate.pl" @ONLY)
configure_file(zmvideo.pl.in "${CMAKE_CURRENT_BINARY_DIR}/zmvideo.pl" @ONLY)
configure_file(zmwatch.pl.in "${CMAKE_CURRENT_BINARY_DIR}/zmwatch.pl" @ONLY)
configure_file(zmstats.pl.in "${CMAKE_CURRENT_BINARY_DIR}/zmstats.pl" @ONLY)
configure_file(zmcamtool.pl.in "${CMAKE_CURRENT_BINARY_DIR}/zmcamtool.pl" @ONLY)
configure_file(zmsystemctl.pl.in "${CMAKE_CURRENT_BINARY_DIR}/zmsystemctl.pl" @ONLY)
configure_file(zmtelemetry.pl.in "${CMAKE_CURRENT_BINARY_DIR}/zmtelemetry.pl" @ONLY)
if(NOT ZM_NO_X10)
  configure_file(zmx10.pl.in "${CMAKE_CURRENT_BINARY_DIR}/zmx10.pl" @ONLY)
endif()
#configure_file(zmdbbackup.in zmdbbackup @ONLY)
#configure_file(zmdbrestore.in zmdbrestore @ONLY)
configure_file(zm.in "${CMAKE_CURRENT_BINARY_DIR}/zm" @ONLY)
#configure_file(zmeventdump.in zmeventdump @ONLY)

# Generate man files for the perl scripts destined for the bin folder
if(BUILD_MAN)
  file(GLOB perlscripts "${CMAKE_CURRENT_BINARY_DIR}/*.pl")
  foreach(PERLSCRIPT ${perlscripts})
    get_filename_component(PERLSCRIPTNAME ${PERLSCRIPT} NAME)
    POD2MAN(${PERLSCRIPT} ${PERLSCRIPTNAME} 8 ${ZM_MANPAGE_DEST_PREFIX})
  endforeach(PERLSCRIPT ${perlscripts})
endif()

# Install the perl scripts
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/zmaudit.pl"
  "${CMAKE_CURRENT_BINARY_DIR}/zmcontrol.pl"
  "${CMAKE_CURRENT_BINARY_DIR}/zmdc.pl"
  "${CMAKE_CURRENT_BINARY_DIR}/zmfilter.pl"
  "${CMAKE_CURRENT_BINARY_DIR}/zmonvif-probe.pl"
  "${CMAKE_CURRENT_BINARY_DIR}/zmonvif-trigger.pl"
  "${CMAKE_CURRENT_BINARY_DIR}/zmpkg.pl"
  "${CMAKE_CURRENT_BINARY_DIR}/zmrecover.pl"
  "${CMAKE_CURRENT_BINARY_DIR}/zmtrack.pl"
  "${CMAKE_CURRENT_BINARY_DIR}/zmtrigger.pl"
  "${CMAKE_CURRENT_BINARY_DIR}/zmupdate.pl"
  "${CMAKE_CURRENT_BINARY_DIR}/zmvideo.pl"
  "${CMAKE_CURRENT_BINARY_DIR}/zmwatch.pl"
  "${CMAKE_CURRENT_BINARY_DIR}/zmcamtool.pl"
  "${CMAKE_CURRENT_BINARY_DIR}/zmtelemetry.pl"
  "${CMAKE_CURRENT_BINARY_DIR}/zmstats.pl"
  DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}" PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
if(NOT ZM_NO_X10)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zmx10.pl" DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}" PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
endif()

if(WITH_SYSTEMD)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zmsystemctl.pl" DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}" PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
endif()

=== src/CMakeLists.txt ===
# CMakeLists.txt for the ZoneMinder binaries

# Create files from the .in files
configure_file(zm_config_data.h.in "${CMAKE_BINARY_DIR}/zm_config_data.h" @ONLY)

# Group together all the source files that are used by all the binaries (zmc, zmu, zms etc)
set(ZM_BIN_SRC_FILES
  zm_analysis_thread.cpp
  zm_buffer.cpp
  zm_camera.cpp
  zm_comms.cpp
  zm_config.cpp
  zm_curl_camera.cpp
  zm_crypt.cpp
  zm.cpp
  zm_db.cpp
  zm_decoder_thread.cpp
  zm_logger.cpp
  zm_event.cpp
  zm_eventstream.cpp
  zm_exception.cpp
  zm_fifo.cpp
  zm_fifo_debug.cpp
  zm_fifo_stream.cpp
  zm_file_camera.cpp
  zm_font.cpp
  zm_frame.cpp
  zm_group.cpp
  zm_image.cpp
  zm_jpeg.cpp
  zm_libvlc_camera.cpp
  zm_libvnc_camera.cpp
  zm_local_camera.cpp
  zm_monitor.cpp
  zm_monitorstream.cpp
  zm_ffmpeg.cpp
  zm_ffmpeg_camera.cpp
  zm_ffmpeg_input.cpp
  zm_mpeg.cpp
  zm_packet.cpp
  zm_packetqueue.cpp
  zm_poly.cpp
  zm_regexp.cpp
  zm_remote_camera.cpp
  zm_remote_camera_http.cpp
  zm_remote_camera_nvsocket.cpp
  zm_remote_camera_rtsp.cpp
  zm_rtp.cpp
  zm_rtp_ctrl.cpp
  zm_rtp_data.cpp
  zm_rtp_source.cpp
  zm_rtsp.cpp
  zm_rtsp_auth.cpp
  zm_rtsp_server_fifo_source.cpp
  zm_rtsp_server_fifo_adts_source.cpp
  zm_rtsp_server_fifo_h264_source.cpp
  zm_rtsp_server_fifo_audio_source.cpp
  zm_rtsp_server_fifo_video_source.cpp
  zm_sdp.cpp
  zm_signal.cpp
  zm_stream.cpp
  zm_swscale.cpp
  zm_time.cpp
  zm_user.cpp
  zm_utils.cpp
  zm_videostore.cpp
  zm_zone.cpp
  zm_storage.cpp)

# A fix for cmake recompiling the source files for every target.
add_library(zm STATIC ${ZM_BIN_SRC_FILES})

target_include_directories(zm
  PUBLIC
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR})

target_link_libraries(zm
  PUBLIC
    libbcrypt::bcrypt
    jwt-cpp::jwt-cpp
    RtspServer::RtspServer
    martinmoene::span-lite
  PRIVATE
    zm-core-interface)

add_executable(zmc zmc.cpp)
add_executable(zms zms.cpp)
add_executable(zmu zmu.cpp)

target_link_libraries(zmc
  PRIVATE
    zm-core-interface
    zm
    ${ZM_EXTRA_LIBS}
    ${ZM_BIN_LIBS}
    ${CMAKE_DL_LIBS})

target_link_libraries(zms
  PRIVATE
    zm-core-interface
    zm
    ${ZM_EXTRA_LIBS}
    ${ZM_BIN_LIBS}
    ${CMAKE_DL_LIBS})

target_link_libraries(zmu
  PRIVATE
    zm-core-interface
    zm
    ${ZM_EXTRA_LIBS}
    ${ZM_BIN_LIBS}
    ${CMAKE_DL_LIBS}
    bcrypt)

# Generate man files for the binaries destined for the bin folder
if(BUILD_MAN)
  foreach(CBINARY zmc zmu)
    POD2MAN(${CMAKE_CURRENT_SOURCE_DIR}/${CBINARY}.cpp ${CBINARY} 8 ${ZM_MANPAGE_DEST_PREFIX})
  endforeach(CBINARY zmc zmu)
endif()

install(TARGETS zmc zmu RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}" PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install(TARGETS zms RUNTIME DESTINATION "${ZM_CGIDIR}" PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install(CODE "execute_process(COMMAND ln -sf zms nph-zms WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/nph-zms DESTINATION "${ZM_CGIDIR}")

if(HAVE_RTSP_SERVER)
  add_executable(zm_rtsp_server zm_rtsp_server.cpp)
  target_link_libraries(zm_rtsp_server
    PRIVATE
      zm-core-interface
      zm
      ${ZM_EXTRA_LIBS}
      ${ZM_BIN_LIBS}
      ${CMAKE_DL_LIBS}
      bcrypt)
  install(TARGETS zm_rtsp_server RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}" PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
endif()

=== web/CMakeLists.txt ===
# CMakeLists.txt for the ZoneMinder web files

# Process the api subdirectory
add_subdirectory(api)
# Create files from the .in files
configure_file(includes/config.php.in "${CMAKE_CURRENT_BINARY_DIR}/includes/config.php" @ONLY)

# Install the web files
install(DIRECTORY vendor api ajax css fonts graphics includes js lang skins views DESTINATION "${ZM_WEBDIR}" PATTERN "*.in" EXCLUDE PATTERN "*Make*" EXCLUDE PATTERN "*cmake*" EXCLUDE)
install(FILES index.php robots.txt DESTINATION "${ZM_WEBDIR}")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/includes/config.php" DESTINATION "${ZM_WEBDIR}/includes")

# Install the api config files (if its not in the source directory)
if(NOT (CMAKE_BINARY_DIR STREQUAL CMAKE_SOURCE_DIR))
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/api/app/Config/core.php" DESTINATION "${ZM_WEBDIR}/api/app/Config")
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/api/app/Config/database.php" DESTINATION "${ZM_WEBDIR}/api/app/Config")
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/api/app/Config/bootstrap.php" DESTINATION "${ZM_WEBDIR}/api/app/Config")
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/api/lib/Cake/bootstrap.php" DESTINATION "${ZM_WEBDIR}/api/lib/Cake")
endif()

=== web/api/CMakeLists.txt ===
# CMakeLists.txt for the ZoneMinder web API files
# The only purpose of this file is to configure the required files

# Generate random salt and seed for the API
string(RANDOM LENGTH 40 ZM_API_SALT)
string(RANDOM LENGTH 29 ALPHABET 0123456789 ZM_API_SEED)

# Configure database.php
configure_file(app/Config/database.php.default "${CMAKE_CURRENT_BINARY_DIR}/app/Config/database.php" @ONLY)

# Configure core.php
configure_file(app/Config/core.php.default "${CMAKE_CURRENT_BINARY_DIR}/app/Config/core.php" @ONLY)

# Configure app/Config/bootstrap.php
configure_file(app/Config/bootstrap.php.in "${CMAKE_CURRENT_BINARY_DIR}/app/Config/bootstrap.php" @ONLY)

# Configure lib/Cake/bootstrap.php
configure_file(lib/Cake/bootstrap.php.in "${CMAKE_CURRENT_BINARY_DIR}/lib/Cake/bootstrap.php" @ONLY)

=== debian/changelog ===
zoneminder (1.36.33+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.2.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 24 Feb 2023 17:01:49 +1100

=== debian/control ===
Source: zoneminder
Section: net
Priority: optional
Standards-Version: 4.6.2
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Uploaders: Chris Lamb <lamby@debian.org>
Build-Depends: debhelper-compat (= 12) ,dh-linktree
    ,apache2-dev
    ,cmake
    ,default-libmysqlclient-dev
    ,libavcodec-dev (>= 6:10~)
    ,libavdevice-dev (>= 6:10~)
    ,libavformat-dev (>= 6:10~)
    ,libswresample-dev
    ,libavutil-dev (>= 6:10~)
    ,libbz2-dev
    ,libcurl4-gnutls-dev
    ,libdate-manip-perl
    ,libdbd-mysql-perl
    ,libgcrypt-dev
    ,libjpeg-dev
    ,libjwt-gnutls-dev
    ,libpcre3-dev
    ,libphp-serialization-perl
    ,libpolkit-gobject-1-dev
    ,libswscale-dev (>= 6:10~)
    ,libsys-mmap-perl [!hurd-any]
    ,libv4l-dev (>= 0.8.3) [!hurd-any]
    ,libvlc-dev
    ,libvncserver-dev
    ,libwww-perl
    ,libx264-dev
    ,python3-sphinx
# Unbundled (dh_linktree):
    ,fonts-glyphicons-halflings
#   ,fonts-material-design-icons-iconfont
#    ,libjs-jquery
Homepage: https://www.zoneminder.com/
Vcs-Browser: https://salsa.debian.org/debian/zoneminder
Vcs-Git: https://salsa.debian.org/debian/zoneminder.git
Rules-Requires-Root: no

Package: zoneminder
Architecture: any
Depends: ${misc:Depends} ,${perl:Depends} ,${shlibs:Depends}
    ,default-mysql-client | virtual-mysql-client
    ,javascript-common
    ,libcrypt-eksblowfish-perl
    ,libdata-entropy-perl
    ,libdate-manip-perl
    ,libmime-lite-perl
    ,libmime-tools-perl
    ,libmodule-load-conditional-perl
    ,libnet-sftp-foreign-perl
    ,libphp-serialization-perl
    ,lsb-base (>= 3.0-6)
    ,php-apcu
    ,php-gd
    ,php-intl
    ,php-json
    ,php-mysql | php5-mysql
    ,rsyslog | system-log-daemon
    ,zip
#   ,libzoneminder-perl (= ${source:Version})
        ,libarchive-zip-perl
        ,libdbd-mysql-perl
        ,libdevice-serialport-perl
        ,libimage-info-perl
        ,libjson-maybexs-perl
        ,libnumber-bytes-human-perl
        ,libsys-mmap-perl [!hurd-any]
        ,liburi-encode-perl
        ,libwww-perl
# ONVIF
    ,libclass-std-fast-perl
    ,libdata-dump-perl
    ,libdata-uuid-perl
    ,libdigest-sha-perl
    ,libio-socket-multicast-perl
    ,libsoap-wsdl-perl
# zmtelemetry.pl
    ,libsys-cpu-perl
    ,libsys-meminfo-perl
Recommends: ${misc:Recommends}
    ,default-mysql-server | virtual-mysql-server
    ,ffmpeg | libav-tools
    ,libapache2-mod-php | php-fpm | libapache2-mod-php7.4 | php7.4-fpm
    ,zoneminder-doc (>= ${source:Version})
Suggests: ${misc:Suggests}
#   "net-tools" provides "arp" utility used for probing of network cameras.
    ,net-tools
    ,fcgiwrap
    ,logrotate
    ,policykit-1
Description: video camera security and surveillance solution
 ZoneMinder is intended for use in single or multi-camera video security
 applications, including commercial or home CCTV, theft prevention and child
 or family member or home monitoring and other care scenarios. It
 supports capture, analysis, recording, and monitoring of video data coming
 from one or more video or network cameras attached to a Linux system.
 ZoneMinder also support web and semi-automatic control of Pan/Tilt/Zoom
 cameras using a variety of protocols. It is suitable for use as a home
 video security system and for commercial or professional video security
 and surveillance. It can also be integrated into a home automation system
 via X.10 or other protocols.

Package: zoneminder-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends} ,${sphinxdoc:Depends}
Suggests:
 www-browser,
Description: video camera security and surveillance solution (documentation)
 ZoneMinder is intended for use in single or multi-camera video security
 applications, including commercial or home CCTV, theft prevention and child
 or family member or home monitoring and other care scenarios. It
 supports capture, analysis, recording, and monitoring of video data coming
 from one or more video or network cameras attached to a Linux system.
 ZoneMinder also support web and semi-automatic control of Pan/Tilt/Zoom
 cameras using a variety of protocols. It is suitable for use as a home
 video security system and for commercial or professional video security
 and surveillance. It can also be integrated into a home automation system
 via X.10 or other protocols.
 .
 This package provides ZoneMinder documentation in HTML format.

#Package: libzoneminder-perl
#Section: perl
#Architecture: all
#Multi-Arch: foreign
#Depends: ${misc:Depends}, ${perl:Depends}
#    ,libarchive-zip-perl
#    ,libdbd-mysql-perl
#    ,libdevice-serialport-perl
#    ,libimage-info-perl
#    ,libjson-maybexs-perl
#    ,libnumber-bytes-human-perl
#    ,libsys-mmap-perl [!hurd-any]
#    ,liburi-encode-perl
#    ,libwww-perl
#Description: ZoneMinder Perl libraries
# ZoneMinder is intended for use in single or multi-camera video security
# applications, including commercial or home CCTV, theft prevention and child
# or family member or home monitoring and other care scenarios. It
# supports capture, analysis, recording, and monitoring of video data coming
# from one or more video or network cameras attached to a Linux system.
# ZoneMinder also support web and semi-automatic control of Pan/Tilt/Zoom
# cameras using a variety of protocols. It is suitable for use as a home
# video security system and for commercial or professional video security
# and surveillance. It can also be integrated into a home automation system
# via X.10 or other protocols.
# .
# This package provides ZoneMinder Perl libraries; it can be used to
# write custom interfaces as well.

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg1,\
dversionmangle=s{\+dfsg\d*}{},\
uversionmangle=s{\-rc(\d*)}{~rc$1};s{^v}{}\
" https://github.com/ZoneMinder/zoneminder/tags \
  .*/archive/refs/tags/v?([\d\.]+)\.tar\.gz  debian ./debian/get-orig-source.sh


## New universal git method:
#opts="\
#pgpmode=none,\
#repack,compression=xz,repacksuffix=+dfsg,\
#dversionmangle=s{\+dfsg\d*}{},\
#uversionmangle=s{\-rc(\d*)}{~rc$1};s{^v}{},\
#mode=git,gitmode=full,\
#" https://github.com/ZoneMinder/zoneminder.git \
#  refs/tags/v?([\d\.]+)  debian ./debian/get-orig-source.sh

## zoneminder 1.36.35%2Bdfsg1

=== misc/CMakeLists.txt ===
# CMakeLists.txt for the ZoneMinder misc files

# Create files from the .in files
configure_file(apache.conf.in "${CMAKE_CURRENT_BINARY_DIR}/apache.conf" @ONLY)
configure_file(nginx.conf.in "${CMAKE_CURRENT_BINARY_DIR}/nginx.conf" @ONLY)
configure_file(logrotate.conf.in "${CMAKE_CURRENT_BINARY_DIR}/logrotate.conf" @ONLY)
configure_file(syslog.conf.in "${CMAKE_CURRENT_BINARY_DIR}/syslog.conf" @ONLY)
configure_file(com.zoneminder.systemctl.policy.in "${CMAKE_CURRENT_BINARY_DIR}/com.zoneminder.systemctl.policy" @ONLY)
configure_file(com.zoneminder.systemctl.rules.in "${CMAKE_CURRENT_BINARY_DIR}/com.zoneminder.systemctl.rules" @ONLY)
configure_file(zoneminder.service.in "${CMAKE_CURRENT_BINARY_DIR}/zoneminder.service" @ONLY)
configure_file(zoneminder-tmpfiles.conf.in "${CMAKE_CURRENT_BINARY_DIR}/zoneminder-tmpfiles.conf" @ONLY)
configure_file(zoneminder.desktop.in "${CMAKE_CURRENT_BINARY_DIR}/zoneminder.desktop" @ONLY)
configure_file(zm-sudo.in "${CMAKE_CURRENT_BINARY_DIR}/zm-sudo" @ONLY)

# Do not install the misc files by default
#install(FILES "${CMAKE_CURRENT_BINARY_DIR}/apache.conf" "${CMAKE_CURRENT_BINARY_DIR}/logrotate.conf" "${CMAKE_CURRENT_BINARY_DIR}/syslog.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/misc")

# Install Policykit rules and actions into the proper folders only on systems with systemd
if(WITH_SYSTEMD)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/com.zoneminder.systemctl.policy" DESTINATION "${PC_POLKIT_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/polkit-1/actions")
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/com.zoneminder.systemctl.rules" DESTINATION "${PC_POLKIT_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/polkit-1/rules.d")
endif()

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zoneminder.desktop" DESTINATION "${CMAKE_INSTALL_DATADIR}/applications")

## zoneminder 1.36.35+dfsg1

=== CMakeLists.txt ===
# Main CMake file for the ZoneMinder project.
# Created by mastertheknife (Kfir Itzhak)
# For more information and installation, see the INSTALL file
#
cmake_minimum_required(VERSION 3.5.0)
project(zoneminder)
file(STRINGS "version" zoneminder_VERSION)
# make API version a minor of ZM version
set(zoneminder_API_VERSION "${zoneminder_VERSION}.1")

# Make sure the submodules are there
if(NOT EXISTS "${CMAKE_SOURCE_DIR}/web/api/app/Plugin/Crud/Lib/CrudControllerTrait.php")
  message(SEND_ERROR "The git submodules are not available. Please run git submodule update --init --recursive")
endif()

# CMake does not allow out-of-source build if CMakeCache.exists 
# in the source folder. Abort and notify the user
if((NOT (CMAKE_BINARY_DIR STREQUAL CMAKE_SOURCE_DIR)) AND (EXISTS "${CMAKE_SOURCE_DIR}/CMakeCache.txt"))
  message(FATAL_ERROR " You are attempting to do an out-of-source build,
    but a cmake cache file for an in-source build exists. Please delete
    the file CMakeCache.txt from the source folder to proceed.")
endif()

# Default build type. To change the build type, 
# use the CMAKE_BUILD_TYPE configuration option.
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release CACHE STRING "Build type: Release or Debug" FORCE)
endif()

# Can assist in troubleshooting
#set(CMAKE_VERBOSE_MAKEFILE ON)
#set(CMAKE_INSTALL_ALWAYS ON)

# Default CLFAGS and CXXFLAGS:
set(CMAKE_C_FLAGS_RELEASE "-O2")
set(CMAKE_CXX_FLAGS_RELEASE "-O2")
set(CMAKE_C_FLAGS_DEBUG "-g")
set(CMAKE_CXX_FLAGS_DEBUG "-g")
set(CMAKE_C_FLAGS_OPTIMISED "-O3")
set(CMAKE_CXX_FLAGS_OPTIMISED "-O3")
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

include(ConfigureBaseTargets)
include(CheckPlatform)

# GCC below 6.0 doesn't support __target__("fpu=neon") attribute, required for compiling ARM Neon code, otherwise compilation fails.
# Must use -mfpu=neon compiler flag instead, but only do that for processors that support neon, otherwise strip the neon code alltogether,
# because passing -fmpu=neon is unsafe to processors that don't support neon

# Arm neon support only tested on Linux. If your arm hardware is running a non-Linux distro and is using gcc then contact us.
if(ZM_SYSTEM_PROC MATCHES "^arm")
  if(CMAKE_COMPILER_IS_GNUCXX AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 6.0)
    exec_program(grep ARGS " neon " "/proc/cpuinfo" OUTPUT_VARIABLE neonoutput RETURN_VALUE neonresult)
    if(neonresult EQUAL 0)
      set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -mfpu=neon")
      set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -mfpu=neon")
      set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -mfpu=neon")
      set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -mfpu=neon")
    else()
      add_definitions(-DZM_STRIP_NEON=1)
      message(STATUS "ARM Neon is not available on this processor. Neon functions will be absent")
    endif()
  endif()
endif()

# Modules that we need:
include(GNUInstallDirs)
include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckPrototypeDefinition_fixed)
include(CheckTypeSize)
include(CheckStructHasMember)
include(CheckSendfile)

# Configuration options
mark_as_advanced(
  FORCE ZM_EXTRA_LIBS
  ZM_MYSQL_ENGINE
  ZM_NO_MMAP
  CMAKE_INSTALL_FULL_BINDIR
  ZM_PERL_MM_PARMS
  ZM_PERL_SEARCH_PATH
  ZM_TARGET_DISTRO
  ZM_PATH_MAP
  ZM_PATH_ARP
  ZM_CONFIG_DIR
  ZM_CONFIG_SUBDIR
  ZM_SYSTEMD
  ZM_MANPAGE_DEST_PREFIX)

option(ENABLE_WERROR "Fail the build if a compiler warning is emitted" 0)
option(BUILD_TEST_SUITE "Build the test suite" 0)
option(BUILD_MAN "Build man pages" 1)
option(ASAN "DEBUGGING: Build with AddressSanitizer (ASan) support" 0)
option(TSAN "DEBUGGING: Build with ThreadSanitizer (TSan) support" 0)

if(ASAN AND TSAN)
  message(FATAL_ERROR "ASAN and TSAN options are mutually exclusive")
endif()

set(ZM_RUNDIR "/var/run/zm" CACHE PATH
  "Location of transient process files, default: /var/run/zm")
set(ZM_SOCKDIR "/var/run/zm" CACHE PATH
  "Location of Unix domain socket files, default /var/run/zm")
set(ZM_TMPDIR "/var/tmp/zm" CACHE PATH
  "Location of temporary files, default: /tmp/zm")
set(ZM_LOGDIR "/var/log/zm" CACHE PATH
  "Location of generated log files, default: /var/log/zm")
set(ZM_WEBDIR "${CMAKE_INSTALL_FULL_DATADIR}/zoneminder/www" CACHE PATH
  "Location of the web files, default: <prefix>/${CMAKE_INSTALL_DATADIR}/zoneminder/www")
set(ZM_CGIDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/zoneminder/cgi-bin" CACHE PATH
  "Location of the cgi-bin files, default: <prefix>/${CMAKE_INSTALL_LIBEXECDIR}/zoneminder/cgi-bin")
set(ZM_CACHEDIR "/var/cache/zoneminder" CACHE PATH
  "Location of the web server cache busting files, default: /var/cache/zoneminder")
set(ZM_CONTENTDIR "/var/lib/zoneminder" CACHE PATH
  "Location of dynamic content (events and images), default: /var/lib/zoneminder")
set(ZM_FONTDIR "${CMAKE_INSTALL_FULL_DATADIR}/zoneminder/fonts" CACHE PATH
  "Location of the font files used for timestamping, default: <prefix>/${CMAKE_INSTALL_DATADIR}/zoneminder/fonts")

set(ZM_DB_HOST "localhost" CACHE STRING
  "Hostname where ZoneMinder database located, default: localhost")
set(ZM_DB_NAME "zm" CACHE STRING
  "Name of ZoneMinder database, default: zm")
set(ZM_DB_USER "zmuser" CACHE STRING
  "Name of ZoneMinder database user, default: zmuser")
set(ZM_DB_PASS "zmpass" CACHE STRING
  "Password of ZoneMinder database user, default: zmpass")
set(ZM_WEB_USER "" CACHE STRING
  "The user apache or the local web server runs on. Leave empty for automatic detection.
     If that fails, you can use this variable to force")
set(ZM_WEB_GROUP "" CACHE STRING
  "The group apache or the local web server runs on,
    Leave empty to be the same as the web user")
set(ZM_DIR_EVENTS "${ZM_CONTENTDIR}/events" CACHE PATH
  "Location where events are recorded to, default: ZM_CONTENTDIR/events")
set(ZM_DIR_SOUNDS "sounds" CACHE PATH
  "Location to look for optional sound files, default: sounds")
set(ZM_PATH_ZMS "/cgi-bin/nph-zms" CACHE PATH
  "Web url to zms streaming server, default: /cgi-bin/nph-zms")
set(ZM_PATH_SHUTDOWN "/sbin/shutdown" CACHE PATH
  "Path to shutdown binary, default: /sbin/shutdown")

# Advanced
set(ZM_PATH_MAP "/dev/shm" CACHE PATH
  "Location to save mapped memory files, default: /dev/shm")
set(ZM_PATH_ARP "" CACHE PATH
  "Full path to compatible arp binary. Leave empty for automatic detection.")
set(ZM_CONFIG_DIR "/${CMAKE_INSTALL_SYSCONFDIR}" CACHE PATH
  "Location of ZoneMinder configuration, default system config directory")
set(ZM_CONFIG_SUBDIR "${ZM_CONFIG_DIR}/conf.d" CACHE PATH
  "Location of ZoneMinder configuration subfolder, default: ZM_CONFIG_DIR/conf.d")
set(ZM_EXTRA_LIBS "" CACHE STRING
  "A list of optional libraries, separated by semicolons, e.g. ssl;theora")
set(ZM_MYSQL_ENGINE "InnoDB" CACHE STRING
  "MySQL engine to use with database, default: InnoDB")
set(ZM_NO_MMAP "OFF" CACHE BOOL
  "Set to ON to not use mmap shared memory. Shouldn't be enabled unless you
    experience problems with the shared memory. default: OFF")
set(ZM_NO_LIBVLC "OFF" CACHE BOOL
  "Set to ON to skip libvlc checks and force building ZM without libvlc. default: OFF")
set(ZM_NO_LIBVNC "OFF" CACHE BOOL
  "Set to ON to skip libvnc checks and force building ZM without libvnc. default: OFF")
set(ZM_NO_CURL "OFF" CACHE BOOL
  "Set to ON to skip cURL checks and force building ZM without cURL. default: OFF")
set(ZM_NO_X10 "OFF" CACHE BOOL
  "Set to ON to build ZoneMinder without X10 support. default: OFF")
set(ZM_ONVIF "ON" CACHE BOOL
  "Set to ON to enable basic ONVIF support. This is EXPERIMENTAL and may not
    work with all cameras claiming to be ONVIF compliant. default: ON")
set(ZM_NO_RTSPSERVER "OFF" CACHE BOOL
  "Set to ON to skip building ZM with rtsp server support. default: OFF")
set(ZM_PERL_MM_PARMS INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 CACHE STRING
  "By default, ZoneMinder's Perl modules are installed into the Vendor folders,
	as defined by your installation of Perl. You can change that here. Consult Perl's 
	MakeMaker documentation for a definition of acceptable parameters. If you set this 
	to something that causes the modules to be installed outside Perl's normal search 
	path, then you will also need to set ZM_PERL_SEARCH_PATH accordingly.")
set(ZM_PERL_SEARCH_PATH "" CACHE PATH
  "Use to add a folder to your Perl's search path. This will need to be set in cases
	where ZM_PERL_MM_PARMS has been modified such that ZoneMinder's Perl modules are 
	installed outside Perl's default search path.")
set(ZM_TARGET_DISTRO "" CACHE STRING
  "Build ZoneMinder for a specific distribution.  Currently, valid names are: fc27, fc26, el7, OS13, FreeBSD")
set(ZM_SYSTEMD "OFF" CACHE BOOL
  "Set to ON to force building ZM with systemd support. default: OFF")
set(ZM_MANPAGE_DEST_PREFIX "share/man" CACHE PATH
  "Relative path used to install ZoneMinder's Man pages into a
    non-standard folder. Most Linux users will not need to change this.
    BSD users may need to set this.")
set(ZM_CAKEPHP_CACHE "Apc" CACHE STRING
  "Set the CakePHP cache engine, default: Apc")

if((ZM_TARGET_DISTRO MATCHES "^el") OR (ZM_TARGET_DISTRO MATCHES "^fc"))
  set(ZM_RUNDIR "/var/run/zoneminder")
  set(ZM_SOCKDIR "/var/lib/zoneminder/sock")
  set(ZM_TMPDIR "/var/lib/zoneminder/temp")
  set(ZM_LOGDIR "/var/log/zoneminder")
  set(ZM_CONFIG_DIR "/etc/zm")
  set(ZM_CONFIG_SUBDIR "/etc/zm/conf.d")
  set(ZM_WEBDIR "/usr/share/zoneminder/www")
  set(ZM_CGIDIR "/usr/libexec/zoneminder/cgi-bin")
  set(ZM_DIR_EVENTS "/var/lib/zoneminder/events")
  set(ZM_PATH_ZMS "/cgi-bin-zm/nph-zms")
elseif(ZM_TARGET_DISTRO STREQUAL "OS13")
  set(ZM_RUNDIR "/var/run/zoneminder")
  set(ZM_TMPDIR "/var/run/zoneminder")
  set(ZM_CONTENTDIR "/var/run/zoneminder")
  set(ZM_LOGDIR "/var/log/zoneminder")
  set(ZM_WEB_USER "wwwrun")
  set(ZM_WEB_GROUP "www")
  set(ZM_WEBDIR "/srv/www/htdocs/zoneminder")
  set(ZM_CGIDIR "/srv/www/cgi-bin")
elseif(ZM_TARGET_DISTRO STREQUAL "FreeBSD")
  set(ZM_RUNDIR "/var/run/zm")
  set(ZM_SOCKDIR "/var/run/zm")
  set(ZM_TMPDIR "/var/tmp/zm")
  set(ZM_CONTENTDIR "/usr/local/var/lib/zoneminder")
  set(ZM_WEB_USER "www")
  set(ZM_WEB_GROUP "www")
  set(ZM_CONFIG_DIR "/usr/local/etc/zm")
  set(ZM_CONFIG_SUBDIR "/usr/local/etc/zm/conf.d")
  set(ZM_WEBDIR "/usr/local/share/zoneminder/www")
  set(ZM_CGIDIR "/usr/local/libexec/zoneminder/cgi-bin")
  set(ZM_PERL_MM_PARMS "INSTALLDIRS=site")
endif()

if(BUILD_MAN)
  message(STATUS "Building man pages: Yes (default)")
  set(ZM_PERL_MM_PARMS_FULL ${ZM_PERL_MM_PARMS})
else()
  message(STATUS "Building man pages: No")
  list(APPEND ZM_PERL_MM_PARMS_FULL ${ZM_PERL_MM_PARMS}
    "INSTALLMAN1DIR=none"
    "INSTALLMAN3DIR=none")
endif()

# Required for certain checks to work
set(CMAKE_EXTRA_INCLUDE_FILES ${CMAKE_EXTRA_INCLUDE_FILES} stdio.h stdlib.h math.h signal.h)
# This is required to enable searching in lib64 (if exists), do not change
set_property(GLOBAL PROPERTY FIND_LIBRARY_USE_LIB64_PATHS ON)

# Set the systemd flag if systemd is autodetected or ZM_SYSTEMD has been set
if(ZM_SYSTEMD OR (IS_DIRECTORY /usr/lib/systemd/system) OR (IS_DIRECTORY /lib/systemd/system))
  set(WITH_SYSTEMD 1)
endif()

# System checks
check_include_file("libv4l1-videodev.h" HAVE_LIBV4L1_VIDEODEV_H)
if(NOT HAVE_LIBV4L1_VIDEODEV_H)
  check_include_file("linux/videodev.h" HAVE_LINUX_VIDEODEV_H)
endif()
check_include_file("linux/videodev2.h" HAVE_LINUX_VIDEODEV2_H)
check_include_file("execinfo.h" HAVE_EXECINFO_H)
if(HAVE_EXECINFO_H)
  check_function_exists("backtrace" HAVE_DECL_BACKTRACE)
  if(NOT HAVE_DECL_BACKTRACE)
    find_library(EXECINFO_LIBRARY NAMES execinfo)
    if(EXECINFO_LIBRARY)
      list(APPEND ZM_BIN_LIBS "-lexecinfo")
    endif()
  endif()
  check_function_exists("backtrace_symbols" HAVE_DECL_BACKTRACE_SYMBOLS)
endif()
check_include_file("ucontext.h" HAVE_UCONTEXT_H)
check_include_file("sys/sendfile.h" HAVE_SYS_SENDFILE_H)
check_include_file("sys/syscall.h" HAVE_SYS_SYSCALL_H)

=== fonts/CMakeLists.txt ===
# Glob all database upgrade scripts
file(GLOB fontfileslist RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "*.zmfnt")
# Install the fonts
install(FILES ${fontfileslist} DESTINATION "${ZM_FONTDIR}")

=== dep/jwt-cpp/CMakeLists.txt ===
add_library(jwt-cpp INTERFACE)
add_library(jwt-cpp::jwt-cpp ALIAS jwt-cpp)

target_include_directories(jwt-cpp
  INTERFACE
    ${CMAKE_CURRENT_SOURCE_DIR}/include)

=== onvif/modules/CMakeLists.txt ===
# CMakeLists.txt for the ZoneMinder ONVIF modules.

# If this is an out-of-source build, copy the files we need to the binary directory
if(NOT (CMAKE_BINARY_DIR STREQUAL CMAKE_SOURCE_DIR))
  file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/Makefile.PL" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
  file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/lib" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}" PATTERN "*.in" EXCLUDE)
endif()

# MAKEMAKER_NOECHO_COMMAND previously defined in /scripts/zoneminder/CMakeLists.txt

# Add build target for the perl modules
add_custom_target(zmonvifmodules ALL perl Makefile.PL ${ZM_PERL_MM_PARMS_FULL} FIRST_MAKEFILE=MakefilePerl DESTDIR="${CMAKE_CURRENT_BINARY_DIR}/output" ${MAKEMAKER_NOECHO_COMMAND} COMMAND make -f MakefilePerl pure_install COMMENT "Building ZoneMinder perl ONVIF proxy module")

# Add install target for the perl modules
install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/output/" DESTINATION "/")

# Add additional files and directories to make clean
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "output;blib;pm_to_blib;MakefilePerl")

=== scripts/ZoneMinder/CMakeLists.txt ===
# CMakeLists.txt for the ZoneMinder perl module.

# If this is an out-of-source build, copy the files we need to the binary directory
if(NOT (CMAKE_BINARY_DIR STREQUAL CMAKE_SOURCE_DIR))
  file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/Changes" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
  file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/Makefile.PL" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
  file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/MANIFEST" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
  file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/META.yml" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
  file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/README" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
  file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/t" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
  file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/lib" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}" PATTERN "*.in" EXCLUDE)
endif()

# Create files from the .in files
configure_file(lib/ZoneMinder/Base.pm.in "${CMAKE_CURRENT_BINARY_DIR}/lib/ZoneMinder/Base.pm" @ONLY)
configure_file(lib/ZoneMinder/Config.pm.in "${CMAKE_CURRENT_BINARY_DIR}/lib/ZoneMinder/Config.pm" @ONLY)
configure_file(lib/ZoneMinder/Memory.pm.in "${CMAKE_CURRENT_BINARY_DIR}/lib/ZoneMinder/Memory.pm" @ONLY)
configure_file(lib/ZoneMinder/ConfigData.pm.in "${CMAKE_CURRENT_BINARY_DIR}/lib/ZoneMinder/ConfigData.pm" @ONLY)
configure_file(lib/ZoneMinder/ONVIF.pm.in "${CMAKE_CURRENT_BINARY_DIR}/lib/ZoneMinder/ONVIF.pm" @ONLY)

if(CMAKE_VERBOSE_MAKEFILE)
  set(MAKEMAKER_NOECHO_COMMAND "")
else()
  set(MAKEMAKER_NOECHO_COMMAND "NOECHO=\"1>/dev/null\"")
endif()

# Add build target for the perl modules
add_custom_target(zmperlmodules ALL perl Makefile.PL ${ZM_PERL_MM_PARMS_FULL} FIRST_MAKEFILE=MakefilePerl DESTDIR="${CMAKE_CURRENT_BINARY_DIR}/output" ${MAKEMAKER_NOECHO_COMMAND} COMMAND make -f MakefilePerl pure_install COMMENT "Building ZoneMinder perl modules")

# Add install target for the perl modules
install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/output/" DESTINATION "/")

# Add additional files and directories to make clean
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "output;blib;pm_to_blib;MakefilePerl")

=== debian/changelog ===
zoneminder (1.36.35+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    + fixed FTBFS with ffmpeg 7 (Closes: #1072464, #1081438).
  * Removed "rsyslog | system-log-daemon" from Depends (Closes: #1072034).
  * Suggests: "policykit-1" --> "pkexec" (Closes: #1025595).
  * Depends: "lsb-base" --> "sysvinit-utils".
  * New patch to use pcre2 (Closes: #999919).
    Thanks, Yavor Doganov.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 21 Feb 2025 21:43:44 +1100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
     ,libgcrypt-dev
     ,libjpeg-dev
     ,libjwt-gnutls-dev
-    ,libpcre3-dev
+    ,libpcre2-dev
     ,libphp-serialization-perl
     ,libpolkit-gobject-1-dev
     ,libswscale-dev (>= 6:10~)
@@ -53,13 +53,12 @@
     ,libmodule-load-conditional-perl
     ,libnet-sftp-foreign-perl
     ,libphp-serialization-perl
-    ,lsb-base (>= 3.0-6)
+    ,sysvinit-utils (>= 3.05-4~)
     ,php-apcu
     ,php-gd
     ,php-intl
     ,php-json
     ,php-mysql | php5-mysql
-    ,rsyslog | system-log-daemon
     ,zip
 #   ,libzoneminder-perl (= ${source:Version})
         ,libarchive-zip-perl
@@ -91,7 +90,7 @@
     ,net-tools
     ,fcgiwrap
     ,logrotate
-    ,policykit-1
+    ,pkexec
 Description: video camera security and surveillance solution
  ZoneMinder is intended for use in single or multi-camera video security
  applications, including commercial or home CCTV, theft prevention and child

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_BUILD_ARCH_OS),hurd)
ARGS := -DZM_NO_MMAP=ON
endif

%:
	dh $@ --buildsystem=cmake --builddirectory=dbuild \
            --with sphinxdoc,apache2,linktree

override_dh_auto_configure:
	cp -arv RtspServer            dep/                   # Git submodule from MUT component.
	cp -arv Crud                  web/api/app/Plugin/    # Git submodule from MUT component.
	cp -arv CakePHP-Enum-Behavior web/api/app/Plugin/    # Git submodule from MUT component.
	dh_auto_configure -- $(ARGS)                       \
            -DCMAKE_VERBOSE_MAKEFILE=ON                    \
            -DCMAKE_BUILD_TYPE=Release                     \
            -DZM_CONFIG_DIR="/etc/zm"                      \
            -DZM_CONFIG_SUBDIR="/etc/zm/conf.d"            \
            -DZM_RUNDIR="/run/zm"                          \
            -DZM_SOCKDIR="/run/zm"                         \
            -DZM_TMPDIR="/tmp/zm"                          \
            -DZM_CGIDIR="/usr/lib/zoneminder/cgi-bin"      \
            -DZM_CONTENTDIR="/var/cache/zoneminder"        \
            -DZM_DIR_EVENTS="/var/cache/zoneminder/events" \
            -DZM_DIR_IMAGES="/var/cache/zoneminder/images" \
            -DZM_PATH_ARP="/bin/ip neigh"                  \
            -DZM_PATH_ZMS="/zm/cgi-bin/zms"                \
            -DZM_SYSTEMD="OFF"                             \
            -DZM_FONTDIR="/usr/share/zoneminder/www/fonts" \
        ;

override_dh_clean:
	dh_clean $(MANPAGES1)
	$(RM) -r docs/_build docs/installationguide web/api/app/Plugin/Crud dep/RtspServer

override_dh_auto_build-indep:
	$(MAKE) -C docs html
	dh_auto_build

MANPAGES1 = \
    dbuild/scripts/zmupdate.pl.1    \
    dbuild/scripts/zmaudit.pl.1     \
    dbuild/scripts/zmcamtool.pl.1   \
    dbuild/scripts/zmcontrol.pl.1   \
    dbuild/scripts/zmdc.pl.1        \
    dbuild/scripts/zmfilter.pl.1    \
    dbuild/scripts/zmpkg.pl.1       \
    dbuild/scripts/zmsystemctl.pl.1 \
    dbuild/scripts/zmtelemetry.pl.1 \
    dbuild/scripts/zmtrack.pl.1     \
    dbuild/scripts/zmtrigger.pl.1   \
    dbuild/scripts/zmvideo.pl.1     \
    dbuild/scripts/zmwatch.pl.1     \
    dbuild/scripts/zmx10.pl.1

$(MANPAGES1):
	# Generate man page(s):
	pod2man -s1 --stderr --utf8 $(patsubst %.1, %, $@) $@

override_dh_installman-arch: $(MANPAGES1)
	$(MAKE) -C docs man
	dh_installman --language=C $(MANPAGES1)

override_dh_auto_install:
	dh_auto_install --arch --destdir=$(CURDIR)/debian/tmp
	
	# Remove empty directories:
	-find $(CURDIR)/debian/tmp/usr -mindepth 1 -type d -empty -print0 | xargs -0r rm -vf
	
	# Don't ship core.php as it contains pre-generated/static salts. (#831984)
	# We keep core.php.default as a template for the postinst.
	rm -f $(CURDIR)/debian/tmp/usr/share/zoneminder/www/api/app/Config/core.php

override_dh_install:
	dh_install -XLICENSE -XLICENSE.txt -X.gitignore

override_dh_fixperms:
	dh_fixperms
	## 637685
	-chmod -c o-r $(CURDIR)/debian/zoneminder/etc/zm/zm.conf

override_dh_installinit:
	dh_installinit --no-start

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

override_dh_apache2:
	dh_apache2 --noenable

override_dh_strip:
	dh_strip --dbgsym-migration='zoneminder-dbg (<< 1.29.0+dfsg-2~)'

## zoneminder 1.36.36

=== debian/changelog ===
zoneminder (1.36.36-noble1) noble; urgency=medium

  * 

 -- Isaac Connor <iconnor@connortechnology.com>  Thu, 30 Oct 2025 23:34:30 -0400

## zoneminder 1.36.37~20251106.0

=== debian/changelog ===
zoneminder (1.36.37~20251106.0-bookworm) bookworm; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Thu, 06 Nov 2025 07:46:13 -0500

=== debian/control ===
Source: zoneminder
Section: net
Priority: optional
Maintainer: Isaac Connor <isaac@zoneminder.com>
Build-Depends: debhelper (>= 11), sphinx-doc, python3-sphinx, dh-linktree, dh-apache2
              ,cmake
              ,libavcodec-dev
              ,libavdevice-dev
              ,libavformat-dev
              ,libavutil-dev
              ,libswresample-dev
              ,libswscale-dev
              ,ffmpeg
              ,net-tools
              ,libbz2-dev
              ,libgcrypt20-dev
              ,libcurl4-gnutls-dev
              ,libjpeg-turbo8-dev | libjpeg62-turbo-dev | libjpeg8-dev | libjpeg9-dev
              ,libturbojpeg0-dev
              ,default-libmysqlclient-dev | libmysqlclient-dev | libmariadbclient-dev-compat
              ,libpcre3-dev
              ,libpolkit-gobject-1-dev
              ,libv4l-dev [!hurd-any]
              ,libvlc-dev
              ,libdate-manip-perl
              ,libdbd-mysql-perl
              ,libphp-serialization-perl
              ,libsys-mmap-perl [!hurd-any]
              ,libwww-perl
              ,libdata-uuid-perl
              ,libssl-dev
              ,libcrypt-eksblowfish-perl
              ,libdata-entropy-perl
              ,libvncserver-dev
              ,libjwt-gnutls-dev|libjwt-dev
              ,libjson-perl
              ,libldap-common
              ,libuuid1, uuid-runtime
Standards-Version: 4.5.0
Homepage: https://www.zoneminder.com/

Package: zoneminder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
        ,sudo
        ,javascript-common
        ,libswscale8|libswscale7|libswscale6|libswscale5|libswscale4
        ,libswresample5|libswresample4|libswresample3|libswresample2
        ,ffmpeg
        ,libdate-manip-perl, libmime-lite-perl, libmime-tools-perl
        ,libdbd-mysql-perl
        ,libphp-serialization-perl
        ,libmodule-load-conditional-perl
        ,libnet-sftp-foreign-perl
        ,libarchive-zip-perl
        ,libdbd-mysql-perl
        ,libdevice-serialport-perl
        ,libimage-info-perl
        ,libio-interface-perl
        ,libjson-maybexs-perl
        ,libsys-mmap-perl [!hurd-any]
        ,liburi-encode-perl
        ,libwww-perl, liburi-perl
        ,libdata-dump-perl
        ,libdatetime-perl
        ,libclass-std-fast-perl
        ,libsoap-wsdl-perl
        ,libio-socket-multicast-perl
        ,libdigest-sha-perl
        ,libsys-cpu-perl, libsys-meminfo-perl
        ,libdata-uuid-perl
        ,libnumber-bytes-human-perl
        ,libfile-slurp-perl
        ,default-mysql-client | mariadb-client | virtual-mysql-client
        ,php-mysql, php-gd, php-apcu, php-json, php-intl, php-xml
        ,pkexec | policykit-1
        ,rsyslog | system-log-daemon
        ,zip
        ,libpcre3
        ,libcrypt-eksblowfish-perl
        ,libdata-entropy-perl
        ,libvncclient1|libvncclient0
        ,libjwt2|libjwt-gnutls2|libjwt-gnutls0|libjwt0
Recommends: ${misc:Recommends}
           ,libapache2-mod-php | php-fpm
           ,default-mysql-server | mariadb-server | virtual-mysql-server
           ,zoneminder-doc (>= ${source:Version})
Suggests: fcgiwrap, logrotate
Description: video camera security and surveillance solution
 ZoneMinder is intended for use in single or multi-camera video security
 applications, including commercial or home CCTV, theft prevention and child
 or family member or home monitoring and other care scenarios. It
 supports capture, analysis, recording, and monitoring of video data coming
 from one or more video or network cameras attached to a Linux system.
 ZoneMinder also support web and semi-automatic control of Pan/Tilt/Zoom
 cameras using a variety of protocols. It is suitable for use as a home
 video security system and for commercial or professional video security
 and surveillance. It can also be integrated into a home automation system
 via X.10 or other protocols.

#Package: libzoneminder-perl
#Section: perl
#Architecture: all
#Multi-Arch: foreign
#Depends: ${misc:Depends}, ${perl:Depends}
#        ,libarchive-zip-perl
#        ,libdbd-mysql-perl
#        ,libdevice-serialport-perl
#        ,libimage-info-perl
#        ,libjson-maybexs-perl
#        ,libsys-mmap-perl [!hurd-any]
#        ,liburi-encode-perl
#        ,libwww-perl
#Description: ZoneMinder Perl libraries
# ZoneMinder is intended for use in single or multi-camera video security
# applications, including commercial or home CCTV, theft prevention and child
# or family member or home monitoring and other care scenarios. It
# supports capture, analysis, recording, and monitoring of video data coming
# from one or more video or network cameras attached to a Linux system.
# ZoneMinder also support web and semi-automatic control of Pan/Tilt/Zoom
# cameras using a variety of protocols. It is suitable for use as a home
# video security system and for commercial or professional video security
# and surveillance. It can also be integrated into a home automation system
# via X.10 or other protocols.
# .
# This package provides ZoneMinder Perl libraries; it can be used to
# write custom interfaces as well.

Package: zoneminder-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, python-sphinx-rtd-theme | python3-sphinx-rtd-theme
Suggests: www-browser
Description: ZoneMinder documentation
 ZoneMinder is intended for use in single or multi-camera video security
 applications, including commercial or home CCTV, theft prevention and child
 or family member or home monitoring and other care scenarios. It
 supports capture, analysis, recording, and monitoring of video data coming
 from one or more video or network cameras attached to a Linux system.
 ZoneMinder also support web and semi-automatic control of Pan/Tilt/Zoom
 cameras using a variety of protocols. It is suitable for use as a home
 video security system and for commercial or professional video security
 and surveillance. It can also be integrated into a home automation system
 via X.10 or other protocols.
 .
 This package provides ZoneMinder documentation in HTML format.

Package: zoneminder-dbg
Section: debug
Priority: optional
Architecture: any
Depends: zoneminder (= ${binary:Version}), ${misc:Depends}
Description: Zoneminder -- debugging symbols
 ZoneMinder is intended for use in single or multi-camera video security
 applications, including commercial or home CCTV, theft prevention and child
 or family member or home monitoring and other care scenarios. It
 supports capture, analysis, recording, and monitoring of video data coming
 from one or more video or network cameras attached to a Linux system.
 ZoneMinder also support web and semi-automatic control of Pan/Tilt/Zoom
 cameras using a variety of protocols. It is suitable for use as a home
 video security system and for commercial or professional video security
 and surveillance. It can also be integrated into a home automation system
 via X.10 or other protocols.
 .
 This package provides debugging symbols

## zoneminder 1.36.37~20251108.0

=== debian/changelog ===
zoneminder (1.36.37~20251108.0-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 08 Nov 2025 09:23:34 -0500

## zoneminder 1.36.37~20251117.0

=== debian/changelog ===
zoneminder (1.36.37~20251117.0-jammy) jammy; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Mon, 17 Nov 2025 08:56:28 -0500

## zoneminder 1.36.37~20251119.0

=== debian/changelog ===
zoneminder (1.36.37~20251119.0-bookworm) bookworm; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Wed, 19 Nov 2025 16:43:23 -0500

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
               ,libjpeg-turbo8-dev | libjpeg62-turbo-dev | libjpeg8-dev | libjpeg9-dev
               ,libturbojpeg0-dev
               ,default-libmysqlclient-dev | libmysqlclient-dev | libmariadbclient-dev-compat
-              ,libpcre3-dev
+              ,libpcre2-dev
               ,libpolkit-gobject-1-dev
               ,libv4l-dev [!hurd-any]
               ,libvlc-dev
@@ -76,11 +76,12 @@
         ,pkexec | policykit-1
         ,rsyslog | system-log-daemon
         ,zip
-        ,libpcre3
+        ,libpcre2
         ,libcrypt-eksblowfish-perl
         ,libdata-entropy-perl
         ,libvncclient1|libvncclient0
         ,libjwt2|libjwt-gnutls2|libjwt-gnutls0|libjwt0
+        ,net-tools
 Recommends: ${misc:Recommends}
            ,libapache2-mod-php | php-fpm
            ,default-mysql-server | mariadb-server | virtual-mysql-server

## zoneminder 1.36.37~20251207.0

=== debian/changelog ===
zoneminder (1.36.37~20251207.0-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 07 Dec 2025 11:20:29 -0500

## zoneminder 1.36.37~20251208.0

=== debian/changelog ===
zoneminder (1.36.37~20251208.0-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Mon, 08 Dec 2025 11:53:54 -0500

## zoneminder 1.36.37~20251215.0

=== debian/changelog ===
zoneminder (1.36.37~20251215.0-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Mon, 15 Dec 2025 12:29:17 -0500

## zoneminder 1.36.37~20260103.0

=== debian/changelog ===
zoneminder (1.36.37~20260103.0-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 03 Jan 2026 09:11:05 -0500

## zoneminder 1.36.37~20260104.0

=== debian/changelog ===
zoneminder (1.36.37~20260104.0-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 04 Jan 2026 18:46:59 -0500
